# Publications

Generate publications from template setup in PIM.

## Get Product single page publication

> Use this method to get single page publications. Fetch the publication by product, template and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/publications/{templateExternalRef}/{id}/{languageId}":{"get":{"tags":["Publications"],"summary":"Get Product single page publication","description":"Use this method to get single page publications. Fetch the publication by product, template and language.","parameters":[{"name":"id","in":"path","description":"Product Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"languageId","in":"path","description":"Language Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"templateExternalRef","in":"path","description":"Template external reference","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Get Product single page publication

> Use this method to get single page publications. Fetch the publication by product, template, segments, language and custom values.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.SinglePageRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","description":"The external reference of the template to use for generating the PDF","nullable":true},"LanguageId":{"type":"integer","description":"The id of the language to use for the PDF generation","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of the products to build single page PDF's for","nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"PageSize":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PageSize"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"description":"The segments to use","nullable":true},"CatalogueUid":{"type":"string","description":"Category data from catalogue","format":"uuid","nullable":true},"CustomValues":{"description":"Custom values to use when generating the PDF","nullable":true},"DisableCache":{"type":"boolean","description":"Set to disable cache. Cache is default enabled on all single page publications.","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.PageSize":{"enum":[1,2,3,4,5,6,7,8,9,10,11,15,20],"type":"integer","description":"\n\n- `1` = **A0**\n- `2` = **A1**\n- `3` = **A2**\n- `4` = **A3**\n- `5` = **A4**\n- `6` = **A5**\n- `7` = **A6**\n- `8` = **A7**\n- `9` = **A8**\n- `10` = **A9**\n- `11` = **Letter**\n- `15` = **A10**\n- `20` = **Letter11x17**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/singlepage":{"post":{"tags":["Publications"],"summary":"Get Product single page publication","description":"Use this method to get single page publications. Fetch the publication by product, template, segments, language and custom values.","requestBody":{"description":"Model containing itemid, template, segments, language and custom values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.SinglePageRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Get Product multi page publication

> Use this method to get multi page publications. Fetch the publication by products, template and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.MultiPageRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","description":"External reference of the template to use for generating the PDF","nullable":true},"LanguageId":{"type":"integer","description":"The id of the language to use for the PDF generation","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of the products to include in the PDF","nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"InsertsFront":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the front of the PDF","nullable":true},"InsertsBack":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the back of the PDF","nullable":true},"PageSize":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PageSize"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"description":"The segments to use","nullable":true},"CatalogueUid":{"type":"string","description":"Category data from catalogue","format":"uuid","nullable":true},"CustomValues":{"description":"Custom values to use when generating the PDF","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.PageSize":{"enum":[1,2,3,4,5,6,7,8,9,10,11,15,20],"type":"integer","description":"\n\n- `1` = **A0**\n- `2` = **A1**\n- `3` = **A2**\n- `4` = **A3**\n- `5` = **A4**\n- `6` = **A5**\n- `7` = **A6**\n- `8` = **A7**\n- `9` = **A8**\n- `10` = **A9**\n- `11` = **Letter**\n- `15` = **A10**\n- `20` = **Letter11x17**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/multipage":{"post":{"tags":["Publications"],"summary":"Get Product multi page publication","description":"Use this method to get multi page publications. Fetch the publication by products, template and language.","requestBody":{"description":"Model containing itemids, template and language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.MultiPageRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Get Product PDF publication

> Use this method to get pdf publications. Fetch the publication by products, template, segments and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.MultiPageRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","description":"External reference of the template to use for generating the PDF","nullable":true},"LanguageId":{"type":"integer","description":"The id of the language to use for the PDF generation","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of the products to include in the PDF","nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"InsertsFront":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the front of the PDF","nullable":true},"InsertsBack":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the back of the PDF","nullable":true},"PageSize":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PageSize"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"description":"The segments to use","nullable":true},"CatalogueUid":{"type":"string","description":"Category data from catalogue","format":"uuid","nullable":true},"CustomValues":{"description":"Custom values to use when generating the PDF","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.PageSize":{"enum":[1,2,3,4,5,6,7,8,9,10,11,15,20],"type":"integer","description":"\n\n- `1` = **A0**\n- `2` = **A1**\n- `3` = **A2**\n- `4` = **A3**\n- `5` = **A4**\n- `6` = **A5**\n- `7` = **A6**\n- `8` = **A7**\n- `9` = **A8**\n- `10` = **A9**\n- `11` = **Letter**\n- `15` = **A10**\n- `20` = **Letter11x17**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/pdf":{"post":{"tags":["Publications"],"summary":"Get Product PDF publication","description":"Use this method to get pdf publications. Fetch the publication by products, template, segments and language.","requestBody":{"description":"Model containing itemids, template, segments and language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.MultiPageRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Get Product data only publication

> Use this method to get data only publications. Fetch the publication by products, template, segments and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.DataOnlyRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","nullable":true},"LanguageId":{"type":"integer","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"nullable":true},"CatalogueUid":{"type":"string","format":"uuid","nullable":true},"CustomValues":{"nullable":true},"FileFormat":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.FileFormat"},"FileExtension":{"type":"string","nullable":true},"FileSeparator":{"type":"string","nullable":true},"FileRenderRaw":{"type":"boolean","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false},"Struct.App.Api.Models.Publication.FileFormat":{"enum":[1,2,3],"type":"integer","description":"\n\n- `1` = **XML**\n- `2` = **CSV**\n- `3` = **XLSX**","format":"int32"}}},"paths":{"/v1/publications/dataonly":{"post":{"tags":["Publications"],"summary":"Get Product data only publication","description":"Use this method to get data only publications. Fetch the publication by products, template, segments and language.","requestBody":{"description":"Model containing itemids, template, segments and language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.DataOnlyRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/octet-stream":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Get configured print publications in the publication module

> \#Available from v.3.15.0> \
> Use this endpoint to get a list of all configured print publications

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.PrintPublicationReference":{"type":"object","properties":{"Uid":{"type":"string","description":"Gets or sets the unique identifier of the print publication.","format":"uuid"},"Name":{"type":"string","description":"Gets or sets the name of the print publication.","nullable":true},"CategoryId":{"type":"integer","description":"Gets or sets the category of the print publication.","format":"int32","nullable":true},"Active":{"type":"boolean","description":"Gets or sets a value indicating whether the print publication is active."},"CatalogueUid":{"type":"string","description":"Gets or sets the catalogue of the print publication.","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/prints":{"get":{"tags":["Publications"],"summary":"Get configured print publications in the publication module","description":"#Available from v.3.15.0\r\nUse this endpoint to get a list of all configured print publications","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PrintPublicationReference"}}}}}}}}}}
```

## Get produced XML data feed from a configured print publication in the publication module

> \#Available from v.3.15.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/publications/prints/{uid}/produce":{"get":{"tags":["Publications"],"summary":"Get produced XML data feed from a configured print publication in the publication module","description":"#Available from v.3.15.0","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Enqueue Product single page publication

> Use this method to enqueue single page publications. Enqueue the publication by product, template and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/publications/enqueue/{templateExternalRef}/{id}/{languageId}":{"get":{"tags":["Publications"],"summary":"Enqueue Product single page publication","description":"Use this method to enqueue single page publications. Enqueue the publication by product, template and language.","parameters":[{"name":"id","in":"path","description":"Product Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"languageId","in":"path","description":"Language Id","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"templateExternalRef","in":"path","description":"Template external reference","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}}}}}}}
```

## Enqueue Product single page publication

> Use this method to enqueue single page publications. Enqueue the publication by product, template, segments, language and custom values.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.SinglePageRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","description":"The external reference of the template to use for generating the PDF","nullable":true},"LanguageId":{"type":"integer","description":"The id of the language to use for the PDF generation","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of the products to build single page PDF's for","nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"PageSize":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PageSize"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"description":"The segments to use","nullable":true},"CatalogueUid":{"type":"string","description":"Category data from catalogue","format":"uuid","nullable":true},"CustomValues":{"description":"Custom values to use when generating the PDF","nullable":true},"DisableCache":{"type":"boolean","description":"Set to disable cache. Cache is default enabled on all single page publications.","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.PageSize":{"enum":[1,2,3,4,5,6,7,8,9,10,11,15,20],"type":"integer","description":"\n\n- `1` = **A0**\n- `2` = **A1**\n- `3` = **A2**\n- `4` = **A3**\n- `5` = **A4**\n- `6` = **A5**\n- `7` = **A6**\n- `8` = **A7**\n- `9` = **A8**\n- `10` = **A9**\n- `11` = **Letter**\n- `15` = **A10**\n- `20` = **Letter11x17**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/enqueue/singlepage":{"post":{"tags":["Publications"],"summary":"Enqueue Product single page publication","description":"Use this method to enqueue single page publications. Enqueue the publication by product, template, segments, language and custom values.","requestBody":{"description":"Model containing itemid, template, segments, language and custom values","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.SinglePageRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```

## Enqueue Product multi page publication

> Use this method to enqueue multi page publications. Enqueue the publication by products, template and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.MultiPageRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","description":"External reference of the template to use for generating the PDF","nullable":true},"LanguageId":{"type":"integer","description":"The id of the language to use for the PDF generation","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of the products to include in the PDF","nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"InsertsFront":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the front of the PDF","nullable":true},"InsertsBack":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the back of the PDF","nullable":true},"PageSize":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PageSize"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"description":"The segments to use","nullable":true},"CatalogueUid":{"type":"string","description":"Category data from catalogue","format":"uuid","nullable":true},"CustomValues":{"description":"Custom values to use when generating the PDF","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.PageSize":{"enum":[1,2,3,4,5,6,7,8,9,10,11,15,20],"type":"integer","description":"\n\n- `1` = **A0**\n- `2` = **A1**\n- `3` = **A2**\n- `4` = **A3**\n- `5` = **A4**\n- `6` = **A5**\n- `7` = **A6**\n- `8` = **A7**\n- `9` = **A8**\n- `10` = **A9**\n- `11` = **Letter**\n- `15` = **A10**\n- `20` = **Letter11x17**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/enqueue/multipage":{"post":{"tags":["Publications"],"summary":"Enqueue Product multi page publication","description":"Use this method to enqueue multi page publications. Enqueue the publication by products, template and language.","requestBody":{"description":"Model containing itemids, template and language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.MultiPageRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```

## Enqueue Product PDF publication

> Use this method to enqueue pdf publications. Enqueue the publication by products, template, segments and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.MultiPageRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","description":"External reference of the template to use for generating the PDF","nullable":true},"LanguageId":{"type":"integer","description":"The id of the language to use for the PDF generation","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of the products to include in the PDF","nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"InsertsFront":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the front of the PDF","nullable":true},"InsertsBack":{"type":"array","items":{"type":"integer","format":"int32"},"description":"Ids of PDF files in the mediabank to use as inserts on the back of the PDF","nullable":true},"PageSize":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.PageSize"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"description":"The segments to use","nullable":true},"CatalogueUid":{"type":"string","description":"Category data from catalogue","format":"uuid","nullable":true},"CustomValues":{"description":"Custom values to use when generating the PDF","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.PageSize":{"enum":[1,2,3,4,5,6,7,8,9,10,11,15,20],"type":"integer","description":"\n\n- `1` = **A0**\n- `2` = **A1**\n- `3` = **A2**\n- `4` = **A3**\n- `5` = **A4**\n- `6` = **A5**\n- `7` = **A6**\n- `8` = **A7**\n- `9` = **A8**\n- `10` = **A9**\n- `11` = **Letter**\n- `15` = **A10**\n- `20` = **Letter11x17**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/v1/publications/enqueue/pdf":{"post":{"tags":["Publications"],"summary":"Enqueue Product PDF publication","description":"Use this method to enqueue pdf publications. Enqueue the publication by products, template, segments and language.","requestBody":{"description":"Model containing itemids, template, segments and language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.MultiPageRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```

## Enqueue Product data only publication

> Use this method to enqueue data only publications. Enqueue the publication by products, template, segments and language.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}},"schemas":{"Struct.App.Api.Models.Publication.DataOnlyRequestModel":{"type":"object","properties":{"TemplateExternalRef":{"type":"string","nullable":true},"LanguageId":{"type":"integer","format":"int32"},"Ids":{"type":"array","items":{"type":"integer","format":"int32"},"nullable":true},"ItemType":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.ItemType"},"Segments":{"type":"array","items":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.Segment"},"nullable":true},"CatalogueUid":{"type":"string","format":"uuid","nullable":true},"CustomValues":{"nullable":true},"FileFormat":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.FileFormat"},"FileExtension":{"type":"string","nullable":true},"FileSeparator":{"type":"string","nullable":true},"FileRenderRaw":{"type":"boolean","nullable":true}},"additionalProperties":false},"Struct.App.Api.Models.Publication.ItemType":{"enum":[20,30,50],"type":"integer","description":"\n\n- `20` = **Product**\n- `30` = **Variant**\n- `50` = **VariantGroup**","format":"int32"},"Struct.App.Api.Models.Publication.Segment":{"type":"object","properties":{"DimensionUid":{"type":"string","format":"uuid"},"SegmentUid":{"type":"string","format":"uuid"}},"additionalProperties":false},"Struct.App.Api.Models.Publication.FileFormat":{"enum":[1,2,3],"type":"integer","description":"\n\n- `1` = **XML**\n- `2` = **CSV**\n- `3` = **XLSX**","format":"int32"}}},"paths":{"/v1/publications/enqueue/dataonly":{"post":{"tags":["Publications"],"summary":"Enqueue Product data only publication","description":"Use this method to enqueue data only publications. Enqueue the publication by products, template, segments and language.","requestBody":{"description":"Model containing itemids, template, segments and language","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Struct.App.Api.Models.Publication.DataOnlyRequestModel"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```

## Enqueue produced XML data feed from a configured print publication in the publication module

> \#Available from v.3.15.0

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/publications/enqueue/prints/{uid}/produce":{"get":{"tags":["Publications"],"summary":"Enqueue produced XML data feed from a configured print publication in the publication module","description":"#Available from v.3.15.0","parameters":[{"name":"uid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"uuid"}}}}}}}}}
```

## Get publication task status

> Use this method to get the task status of a publication.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/publications/buildstatus/{taskGuid}":{"get":{"tags":["Publications"],"summary":"Get publication task status","description":"Use this method to get the task status of a publication.","parameters":[{"name":"taskGuid","in":"path","description":"Task Id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{}}}}}}}}}
```

## Get built publication

> Use this method to get a prebuilt publication.

```json
{"openapi":"3.0.1","info":{"title":"Struct PIM Public API","version":"1.0"},"tags":[{"name":"Publications","description":"Generate publications from template setup in PIM."}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","description":"","name":"Authorization","in":"header"}}},"paths":{"/v1/publications/buildresult/{taskGuid}":{"get":{"tags":["Publications"],"summary":"Get built publication","description":"Use this method to get a prebuilt publication.","parameters":[{"name":"taskGuid","in":"path","description":"Task Id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/api-reference/endpoints/publications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
